#include <iostream>
int main()
{
	int n, m;
	char mat[10][10];
	std::cin >> n >> m;
	for (int i = 0; i < n; i++)
		for (int j = 0; j < m; j++)
			std::cin >> mat[i][j];
	std::cout << "-1";
	//return 0;
}